<?xml version="1.0"?>

<launch>

  <env name="GAZEBO_MODEL_PATH" value="$(find chroma_gazebo_worlds)/models:${GAZEBO_MODEL_PATH}"/>

  <arg name="world" default="city"/>
  <arg name="headless" default="true"/>
  <arg name="gui" default="true"/>
  <arg name="paused" default="true"/>

  <!-- We resume the logic in empty_world.launch, changing only the name of the world to be launched -->
  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(find chroma_gazebo_worlds)/worlds/$(arg world).world"/>
    <!-- more default parameters can be changed here -->
    <arg name="debug"    value="false" />
    <arg name="paused"   value="$(arg paused)"/>
    <arg name="headless" value="$(arg headless)"/>
    <arg name="gui"      value="$(arg gui)"/>
    <arg name="verbose"  value="true"/>
  </include>

</launch>
